org.keycloak.proxy

## Class ConstraintMatcherHandler

- java.lang.Object
- - org.keycloak.proxy.ConstraintMatcherHandler

- All Implemented Interfaces:
    io.undertow.server.HttpHandler

      public class ConstraintMatcherHandler
      extends Object
      implements io.undertow.server.HttpHandler

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.undertow.util.AttachmentKey<SingleConstraintMatch>` | `CONSTRAINT_KEY`
    `protected String` | `errorPage`
    `protected static org.jboss.logging.Logger` | `log`
    `protected SecurityPathMatches` | `matcher`
    `protected io.undertow.server.HttpHandler` | `securedHandler`
    `protected io.undertow.server.HttpHandler` | `unsecuredHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintMatcherHandler(SecurityPathMatches matcher, io.undertow.server.HttpHandler securedHandler, io.undertow.server.HttpHandler unsecuredHandler, String errorPage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleRequest(io.undertow.server.HttpServerExchange exchange)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

    - #### CONSTRAINT_KEY

          public static final io.undertow.util.AttachmentKey<SingleConstraintMatch> CONSTRAINT_KEY

    - #### matcher

          protected SecurityPathMatches matcher

    - #### securedHandler

          protected io.undertow.server.HttpHandler securedHandler

    - #### unsecuredHandler

          protected io.undertow.server.HttpHandler unsecuredHandler

    - #### errorPage

          protected String errorPage

  - ### Constructor Detail

    - #### ConstraintMatcherHandler

          public ConstraintMatcherHandler(SecurityPathMatches matcher,
                                  io.undertow.server.HttpHandler securedHandler,
                                  io.undertow.server.HttpHandler unsecuredHandler,
                                  String errorPage)

  - ### Method Detail

    - #### handleRequest

          public void handleRequest(io.undertow.server.HttpServerExchange exchange)
                             throws Exception

      Specified by:
        `handleRequest` in interface `io.undertow.server.HttpHandler`
      Throws:
        `Exception`

Copyright © 2015. All rights reserved.